source: projects/specs/trunk/g/gnome-python-extras/gnome-python-extras-vl.spec @ 5701

Revision 5701, 6.5 KB checked in by Takemikaduchi, 11 years ago (diff)

python-2.7.2

Line 
1%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
2
3%define glib_version 2.20.0
4%define gtk_version 2.16.0
5%define gnome_panel_version 2.26.0
6%define gnome_python_version 2.26.0
7%define gtkhtml2_version 2.3.1
8%define gecko_version 1.9.1
9%define gtkspell_version 2.0.7
10%define libgda_version 4.0
11%define libgdl_version 0.7.1
12
13%define build_gdl 0
14
15### Abstract ###
16
17Name: gnome-python-extras
18Version: 2.25.3
19Release: 4%{?_dist_release}
20License: GPL/LGPL
21Group: Development/Languages
22Summary: The sources for additional. PyGNOME Python extension modules.
23URL: http://www.pygtk.org/
24
25Source: gnome-python-extras-%{version}.tar.bz2
26Patch1: gnome-python-extras-2.10.0-gtkspell-static.patch
27Patch4: gnome-python-extras-2.19.1-buildfix.patch
28
29
30BuildRoot: %{_tmppath}/%{name}-%{version}-root
31
32### Dependencies ###
33
34Requires: gnome-python >= %{gnome_python_version}
35
36### Build Dependencies ###
37
38BuildRequires: gecko-devel >= %{gecko_version}
39BuildRequires: glib2 >= %{glib_version}
40BuildRequires: gnome-panel >= %{gnome_panel_version}
41BuildRequires: gnome-python-devel >= %{gnome_python_version}
42BuildRequires: gtk2 >= %{gtk_version}
43BuildRequires: gtkhtml2-devel >= %{gtkhtml2_version}
44BuildRequires: gtkspell-devel >= %{gtkspell_version}
45BuildRequires: libbonoboui-devel
46BuildRequires: libgda-devel >= %{libgda_version}
47BuildRequires: libgksu-devel
48BuildRequires: pygtk2-devel
49BuildRequires: python-devel
50
51%if %{build_gdl}
52BuildRequires: libgdl-devel >= %{libgdl_version}
53%endif
54
55%description
56The gnome-python-extra package contains the source packages for additional
57Python bindings for GNOME. It should be used together with gnome-python.
58
59%if %{build_gdl}
60%package -n gnome-python-gdl
61Summary: Python bindings for the GNOME Development Library
62Group: Development/Languages
63Requires: %{name} = %{version}-%{release}
64Requires: libgdl >= %{libgdl_version}
65
66%description -n gnome-python-gdl
67This module contains a wrapper that allows the use of the GNOME Development
68Library (gdl) via Python.
69%endif
70
71%package -n gnome-python-gtkhtml2
72Summary: Python bindings for interacting with gtkhtml2
73Group: Development/Languages
74Requires: %{name} = %{version}-%{release}
75Requires: gtkhtml2 >= %{gtkhtml2_version}
76Obsoletes: pygnome-gtkhtml
77
78%description -n gnome-python-gtkhtml2
79This module contains a wrapper that allows the use of gtkhtml2 via Python.
80
81%package -n gnome-python-gtkmozembed
82Summary: Python bindings for interacting with gtkmozembed
83Group: Development/Languages
84Requires: %{name} = %{version}-%{release}
85Requires: gecko-libs >= %{gecko_version}
86
87%description -n gnome-python-gtkmozembed
88This module contains a wrapper that allows the use of gtkmozembed via Python.
89
90%package -n gnome-python-gtkspell
91Summary: Python bindings for interacting with gtkspell
92Group: Development/Languages
93Requires: %{name} = %{version}-%{release}
94Requires: gtkspell >= %{gtkspell_version}
95
96%description -n gnome-python-gtkspell
97This module contains a wrapper that allows the use of gtkspell via Python.
98
99%package -n gnome-python-libegg
100Summary: Python bindings for recent files and tray icons
101Group: Development/Languages
102Requires: %{name} = %{version}-%{release}
103
104%description -n gnome-python-libegg
105This module contains a wrapper that allows the use of recent files and tray
106icons via Python.
107
108%package -n gnome-python-libgksu
109Summary: Python bindings for interacting with libgksu
110Group: Development/Languages
111Requires: %{name} = %{version}-%{release}
112Requires: libgksu
113
114%description -n gnome-python-libgksu
115This module contains a wrapper that allows the use of libgksu via Python.
116
117%package -n gnome-python-gda
118Summary: Python bindings for interacting with libgda
119Group: Development/Languages
120Requires: %{name} = %{version}-%{release}
121Requires: libgda >= %{libgda_version}
122
123%description -n gnome-python-gda
124This module contains a wrapper that allows the use of libgda via Python.
125
126%package -n gnome-python-gda-devel
127Summary: Headers for developing programs that will use gnome-python-gda
128Group: Development/Libraries
129Requires: gnome-python-gda = %{version}-%{release}
130Requires: pkgconfig
131Requires: pygobject-devel
132Requires: libgda-devel >= %{libgda_version}
133
134%description -n gnome-python-gda-devel
135This module contains files needed for developing applications using
136gnome-python-gda.
137
138%prep
139%setup -q -n gnome-python-extras-%{version}
140%patch1 -p1 -b .gtkspell-static
141%patch4 -p1 -b .buildfix
142
143%build
144%if %{build_gdl}
145%configure --with-gtkmozembed=mozilla
146%else
147%configure --with-gtkmozembed=mozilla --disable-gdl
148%endif
149make
150
151%install
152rm -rf $RPM_BUILD_ROOT
153make install DESTDIR=$RPM_BUILD_ROOT
154
155find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;
156
157rm -rf $RPM_BUILD_ROOT/%{python_sitearch}/gtk-2.0/gksu
158
159%clean
160rm -rf $RPM_BUILD_ROOT
161
162%files
163%defattr(-,root,root,-)
164%doc AUTHORS ChangeLog NEWS
165%{_libdir}/pkgconfig/gnome-python-extras-2.0.pc
166%{_datadir}/pygtk
167
168%if %{build_gdl}
169%files -n gnome-python-gdl
170%defattr(-,root,root,-)
171%{python_sitearch}/gtk-2.0/gdl.so
172%endif
173
174%files -n gnome-python-gtkhtml2
175%defattr(-,root,root,-)
176%{python_sitearch}/gtk-2.0/gtkhtml*
177%defattr(644,root,root,755)
178%doc examples/gtkhtml2/*
179
180%files -n gnome-python-gtkmozembed
181%defattr(-,root,root,-)
182%{python_sitearch}/gtk-2.0/gtkmozembed.so
183
184%files -n gnome-python-gtkspell
185%defattr(-,root,root,-)
186%{python_sitearch}/gtk-2.0/gtkspell.so
187
188%files -n gnome-python-libegg
189%defattr(-,root,root,-)
190%{python_sitearch}/gtk-2.0/egg
191%defattr(644,root,root,755)
192%doc examples/egg/*
193
194%files -n gnome-python-libgksu
195%defattr(-,root,root,-)
196%{python_sitearch}/gtk-2.0/gksu2
197
198%files -n gnome-python-gda
199%defattr(-,root,root,-)
200%{python_sitearch}/gtk-2.0/gda.so
201
202%files -n gnome-python-gda-devel
203%defattr(-,root,root,-)
204%{_includedir}/pygda-?.?/
205%{_libdir}/pkgconfig/pygda-?.?.pc
206
207%changelog
208* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.25.3-4
209- rebuild with python-2.7.2
210
211* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.25.3-3
212- rebuild with rpm-4.8.1 for pkg-config file
213
214* Fri Apr 09 2010 Shu KONNO <owa@bg.wakwak.com> 2.25.3-2
215- rebuilt with python-2.6
216- added --disable-gdl option to configure
217
218* Sun Jul 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.25.3-1
219- new upstream release
220
221* Fri Aug 15 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.19.1-1
222- new upstream release
223- split to subpackages
224- build with xulrunner
225
226* Sat Aug  5 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.12.0-0vl3
227- added missing BuildRequires for gtkspell
228
229* Thu Jul 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.0-0vl2
230- rebuilt
231
232* Thu Oct 13 2005 Shu KONNO <owa@bg.wakwak.com> 2.12.0-0vl1
233- Initial build.
Note: See TracBrowser for help on using the repository browser.